{% extends 'newbase.html' %}

{% block content %}
<div class="row bg-title">
    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
        <h4 class="page-title">Tabs</h4> </div>
    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
        <ol class="breadcrumb">
            <li><a href="/tasks/dashboard/">Dashboard</a></li>
            <li><a>Console log</a></li>
            <li><a>{{ project_name }}</a></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="white-box">
            <h3>{{ project_name }}: {{ commits }}</h3>
            <p id="logs"></p>
            <i class="fa fa-spin fa-spinner"></i>
        </div>
    </div>
</div>
{% endblock %}

{% block js %}
<script>

function GetLogs(data){
    $.post(
    '/tasks/console_log/',
    {'offset': data['offset'], 'csrfmiddlewaretoken': '{{csrf_token}}', 'tid': '{{ tid}}'},
    function (obj) {
        ShowLog(obj)
    }
)
}

function ShowLog(obj){
    if(!obj['logs']){
        setTimeout(GetLogs, 1000, obj)
    }else {
        //let textNode = document.createElement("p");
        //textNode.innerText = obj['logs'];
        //document.getElementById('logs').appendChild(textNode);
        document.getElementById('logs').innerText += obj['logs'];
        window.scrollTo(0,document.body.scrollHeight);
        if (obj['EOF']){
            $('.fa-spin').remove();
            return
        }
        setTimeout(GetLogs, 1000, obj)
    }
}
window.onload = GetLogs({'offset': '{{ offset }}'})
</script>

{% endblock %}